ldap_dn2ufn
ldap_errno
LDAP Functions
PHP Manual

# ldap_err2str

(PHP 4, PHP 5)

ldap_err2str — Convert LDAP error number into string error message

### Description

string ldap_err2str ( int `$errno` )

Returns the string error message explaining the error number `errno` . While LDAP errno numbers are standardized, different libraries return different or even localized textual error messages. Never check for a specific error message text, but always use an error number to check.

### Parameters

`errno`

  The error number.

### Return Values

Returns the error message, as a string.

### Examples

Example #1 Enumerating all LDAP error messages

`<?php
for ($i=0; $i<100; $i++) {
printf("Error $i: %s<br />\n", ldap_err2str($i));
}
?>`

### See Also

- ldap_errno()
- ldap_error()

ldap_dn2ufn
ldap_errno
LDAP Functions
PHP Manual